sbthread_s Struct Reference

## Data Fields

cmd_ln_t * | config
sbmsgq_t * | msgq
sbthread_main | func
void * | arg
pthread_t | th

## Detailed Description

Definition at line 363 of file sbthread.c.

## Field Documentation

## arg

void* sbthread_s::arg

Definition at line 367 of file sbthread.c.

## config

cmd_ln_t* sbthread_s::config

Definition at line 364 of file sbthread.c.

## func

sbthread_main sbthread_s::func

Definition at line 366 of file sbthread.c.

## msgq

sbmsgq_t* sbthread_s::msgq

Definition at line 365 of file sbthread.c.

## th

pthread_t sbthread_s::th

Definition at line 368 of file sbthread.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/util/sbthread.c